Imports LinqBlog.BO
Imports System.Collections.Generic

Partial Class Blog
    Inherits System.Web.UI.MasterPage

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        btnAddPost.Visible = My.User.IsInRole("Admin")
        
        ShowLinks()
        ShowCategories()

    End Sub

 
    Private Sub ShowLinks()

        Dim dc As New LinqBlogEntities

        Dim links As IQueryable(Of Link) = dc.Links
        'Dim sorted As New SortedList(Of String, LinkClassic)
        Dim query = From link In links _
            Where link.Description.Contains("LINQ") _
        Order By link.Description _
        Select New With {link.Description, link.Url}

        LinqLinks.DataSource = query
        LinqLinks.DataBind()

    End Sub
    Private Sub ShowCategories()
        Dim dc As New LinqBlogEntities
        Dim categories = _
            From c In dc.Categories _
            Order By c.Title _
            Select Title = c.Title & " (" & c.PostItems.Count & ")", c.CategoryId, c.Description
        Me.CategoryList.DataSource = categories
        CategoryList.DataBind()
    End Sub
    Protected Sub btnAddPost_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles btnAddPost.Click
        Response.Redirect("~/Admin/EditPost.aspx")
    End Sub
End Class

