﻿Option Strict On
Option Infer On

Imports System.ServiceModel.Syndication

Imports LinqBlog.BO
Imports System.Data.Linq
Imports System.Data.Objects

Public Module Importer
    Public Sub ImportFeedNew()
        Dim feed As SyndicationFeed = SyndicationFeed.Load(New System.Xml.XmlTextReader("http://thinqlinq.com/rss.aspx"))
        Dim dc As New LinqBlogDataContext ' LinqBlogDataContext()
        'Get the category list once
        Dim categories = dc.Categories.ToList

        Dim posts As New List(Of PostItem)
        For Each p In feed.Items
            Dim post As New PostItem With { _
                .Author = If(p.Authors.Count > 0, p.Authors(0).Name, "Jim Wooley"), _
                .Description = p.Summary.Text, _
                .PublicationDate = p.PublishDate.Date, _
                .Title = p.Title.Text}
            For Each cat In From rssCat In p.Categories _
                            Join dbCat In categories On rssCat.Name Equals dbCat.Title _
                            Select dbCat
                post.CategoryPosts.Add(New CategoryPost With {.Category = cat})
            Next
        Next

        dc.SubmitChanges()

    End Sub
    Public Sub ImportFeed()
        Dim Feed As System.Xml.Linq.XDocument = XDocument.Load("http://thinqlinq.com/rss.aspx")

        Dim dc As New LinqBlogDataContext()

        Dim Categories = (From c In dc.Categories _
            Select c).ToArray

        dc.PostItems.InsertAllOnSubmit(From post In Feed...<item> _
                            Select New PostItem With { _
                                .Author = "Jim Wooley", _
                                .Description = post.<description>.Value, _
                                .PublicationDate = CDate(post.<pubDate>.Value), _
                                .Title = post.<title>.Value})

        dc.SubmitChanges()

        Console.WriteLine()
        Console.ReadLine()
    End Sub

    Public Sub ImportComments()
        'TODO: Insert the connection string to your source database below.
        Dim sourceDc As New LinqBlogDataContext("")

        Dim destDc As New LinqBlogDataContext

        destDc.Comments.InsertAllOnSubmit(From comment In sourceDc.Comments.AsEnumerable _
                                          Join destPost In destDc.PostItems On comment.PostItem.Title Equals destPost.Title _
                                          Select New Comment With {.CommentType = comment.CommentType, _
                                                                   .Creator = comment.Creator, _
                                                                   .CreatorEmail = comment.CreatorEmail, _
                                                                   .CreatorLink = comment.CreatorLink, _
                                                                   .Description = comment.Description, _
                                                                   .EnteredDate = comment.EnteredDate, _
                                                                   .IsApproved = comment.IsApproved, _
                                                                   .PostItem = destPost})
        destDc.SubmitChanges()
    End Sub
End Module
