﻿''' <summary>
''' Extends post item with additional read-only properties to assist 
''' in data binding
''' </summary>
Public Class PostItem
    Public ReadOnly Property CommentCount() As Integer
        Get
            Return Comments.Where(Function(c) c.IsApproved).Count
        End Get
    End Property

    ''' <summary>
    ''' Gets the title URL rewrite.
    ''' </summary>
    ''' <value>The title URL rewrite.</value>
    Public ReadOnly Property TitleUrlRewrite() As String
        Get
            Return Replace(Title, " ", "-")
        End Get
    End Property

End Class
